com.corticon.rulesemf.canonicalrulemodel.ruleflow

## Interface DecisionNode

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, FlowControl, org.eclipse.emf.common.notify.Notifier, RuleModelElement

      public interface DecisionNode
      extends FlowControl

  A representation of the model object 'Decision Node'.

  The following features are supported:

  - `Condition Sub Expression`
  - `Boolean Condition`
  - `Decisions`
  See Also:
    `RuleflowPackage.getDecisionNode()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OpaqueExpression` | `getBooleanCondition()` Returns the value of the 'Boolean Condition' containment reference
    `java.lang.String` | `getConditionSubExpression()` Returns the value of the 'Condition Sub Expression' attribute
    `org.eclipse.emf.common.util.EList` | `getDecisions()` Returns the value of the 'Decisions' reference list.
    `void` | `setBooleanCondition(OpaqueExpression value)` Sets the value of the '`Boolean Condition`' containment reference
    `void` | `setConditionSubExpression(java.lang.String value)` Sets the value of the '`Condition Sub Expression`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalrulemodel.RuleModelElement

      `getDocumentingRuleStatements`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getConditionSubExpression

          java.lang.String getConditionSubExpression()

      Returns the value of the 'Condition Sub Expression' attribute.

      If the meaning of the 'Condition Sub Expression' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Condition Sub Expression' attribute.
      See Also:
        `setConditionSubExpression(String)`, `RuleflowPackage.getDecisionNode_ConditionSubExpression()`

    - #### setConditionSubExpression

          void setConditionSubExpression(java.lang.String value)

      Sets the value of the '`Condition Sub Expression`' attribute.
      Parameters:
        `value` - the new value of the 'Condition Sub Expression' attribute.
      See Also:
        `getConditionSubExpression()`

    - #### getBooleanCondition

          OpaqueExpression getBooleanCondition()

      Returns the value of the 'Boolean Condition' containment reference.

      If the meaning of the 'Boolean Condition' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Boolean Condition' containment reference.
      See Also:
        `setBooleanCondition(OpaqueExpression)`, `RuleflowPackage.getDecisionNode_BooleanCondition()`

    - #### setBooleanCondition

          void setBooleanCondition(OpaqueExpression value)

      Sets the value of the '`Boolean Condition`' containment reference.
      Parameters:
        `value` - the new value of the 'Boolean Condition' containment reference.
      See Also:
        `getBooleanCondition()`

    - #### getDecisions

          org.eclipse.emf.common.util.EList getDecisions()

      Returns the value of the 'Decisions' reference list. The list contents are of type `Decision`.

      If the meaning of the 'Decisions' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Decisions' reference list.
      See Also:
        `RuleflowPackage.getDecisionNode_Decisions()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.